<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8"/>
	<title></title>
	<style type="text/css">
		div{
			width:100px;
			height: 100px;
			margin:10px;
			float:left;
			background: red;
			border:10px solid #000;
		}
	</style>
	<script>
		window.onload=function(){
			var oDiv=document.getElementsByTagName('div');
				oDiv.timer=null;
			for(var i=0;i<oDiv.length;i++){
				oDiv[i].onmouseover=function(){
					startMove(this,'height',50);
			 	};
			 	oDiv[i].onmouseout=function(){
					startMove(this,'height',100);
				}
			} 
		};
		function getStyle(obj,name){
			if(obj.currentStyle){

				return obj.currentStyle[name];
			}else{
				return getComputedStyle(obj,false)[name];
			}
		};
		function startMove(obj,arrt,iTarget){
			clearInterval(obj.timer);
			obj.timer=setInterval(function(){
				var cur=parseInt(getStyle(obj,arrt));
				var speed=(iTarget-cur)/6;
				speed=speed>0?Math.ceil(speed):Math.floor(speed);
				if(iTarget==cur){
					clearInterval(obj.timer);
				}else{
					obj.style[arrt]=cur+speed+'px';
				}
			},30);
		};
	</script>
</head>
<body>
	<div id="div1"></div>
	<div id="div2"></div>
</body>
</html>